-- ============================================================
-- Table: GPE_TPREGIPONTO
-- ============================================================
CREATE TABLE GPE_TPREGIPONTO
(
NRORG NUMBER NOT NULL,
NRTPREGIPONTONUMBER NOT NULL,
DSTPREGIPONTO VARCHAR2(200) NOT NULL,
CDESOCIAL VARCHAR2(2) NOT NULL,
IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
CONSTRAINT CKC_IDATIVO_TPREGPT CHECK (IDATIVO IN ('N','S')),
DTINCLUSAO DATE DEFAULT SYSDATE NOT NULL,
DTULTATU DATE NULL,
NRORGINCLUSAO NUMBER(22) DEFAULT 1 NULL ,
CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL ,
NRORGULTATU NUMBER(22) DEFAULT 1 NULL ,
CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL ,
CONSTRAINT PK_GPE_TPREGIPONTO PRIMARY KEY (NRTPREGIPONTO)
)
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 1, '0', 'Não
utiliza')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 2, '1', 'Manual')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 3, '2',
'Mecânico')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 4, '3',
'Eletrônico (portaria MTE 1.510/2009)')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 5, '4', 'Não
eletrônico alternativo (art. 1° da Portaria MTE 373/2011)')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 6, '5',
'Eletrônico alternativo ( art. 2° da Portaria MTE 373/2011)')
/
INSERT INTO GPE_TPREGIPONTO (NRORG, NRTPREGIPONTO, CDESOCIAL, DSTPREGIPONTO) VALUES (0, 7, '6',
'Eletrônico - outros')
/
-- ============================================================
-- Table: GPE_PONTOACESSO
-- ============================================================
ALTER TABLE GPE_PONTOACESSO ADD NRTPREGIPONTO VARCHAR2(2)
/