<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroIDREC extends RegistroDIRF{

    private $_cdReceita;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cdReceita);
    }

    public function geraRegistroIDREC(){
        $this->_geraRegistro(parent::REGISTRO_IDREC);
    }

    public function setCdreceita($cdReceita){
        $this->_cdReceita = $cdReceita;
    }

    public function getCdreceita(){
        return $this->_cdReceita;
    }

}